<h1 class="mt-5">Agregar Producto</h1>
<hr>

<form [formGroup]="miForm">

    <div class="row g-3 align-items-center mb-3">
        <div class="col-auto">
            <label class="col-form-label">Nombre:</label>
        </div>
        <div class="col-auto">
            <input type="text" class="form-control" formControlName="nombre">
        </div>
        <div class="col-auto">
            <!-- other way -->
            <!-- <span error-msg color="pink" message="Debe de ingresar este campo">Este campo es requerido</span> -->
            <!-- <span error-msg [color]="color" [message]="messsage">Este campo es requerido</span> -->
            <span 
            error-msg 
            [color]="color"
            [message]="messsage"
            [noValido]="campoNoValido('nombre')">Este campo es requerido</span>
        </div>

        <div class="row mt-3">
            <div class="col">
                <button class="btn btn-primary m-3" type="submit" (click)="cambiarNombre()"> Guardar </button>
                <button class="btn btn-secondary" type="submit" (click)="cambiarColor()"> Cambiar Color </button>
            </div>
        </div>
    </div>

</form>

<h3 class="mt-5">Formulario </h3>
<pre>Valid: {{ miForm.valid }} </pre>
<span>Value:</span>
<pre>{{ miForm.value | json }}</pre>

<!-- <div class="row mt-5" custom-if  *ngIf="!campoNoValido('nombre')"> -->
<!-- <div class="row mt-5" custom-if  [valido]="miForm.valid"> -->
<div class="row mt-5" *customIf="miForm.valid">
  <div class="col">
      <div class="alert alert-primary">
          Todo OK!
      </div>
  </div>
</div>

